### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  commentId: T:adas_core.Domain.Models.Pumps.PumpAlarmEvent
  id: PumpAlarmEvent
  parent: adas_core.Domain.Models.Pumps
  children:
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
  langs:
  - csharp
  - vb
  name: PumpAlarmEvent
  nameWithType: PumpAlarmEvent
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PumpAlarmEvent
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 8
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  summary: Represents an event related to a pump alarm, encapsulating data raised when an alarm condition is detected on a pump.
  example: []
  syntax:
    content: public class PumpAlarmEvent
    content.vb: Public Class PumpAlarmEvent
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
  id: Id
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: Id
  nameWithType: PumpAlarmEvent.Id
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Id
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public ObjectId Id { get; set; }
    parameters: []
    return:
      type: MongoDB.Bson.ObjectId
    content.vb: Public Property Id As ObjectId
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
  id: DeviceId
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: DeviceId
  nameWithType: PumpAlarmEvent.DeviceId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DeviceId
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 13
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? DeviceId { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property DeviceId As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
  id: RackId
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: RackId
  nameWithType: PumpAlarmEvent.RackId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RackId
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 14
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? RackId { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property RackId As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
  id: DeviceTypeMdc
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: DeviceTypeMdc
  nameWithType: PumpAlarmEvent.DeviceTypeMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DeviceTypeMdc
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? DeviceTypeMdc { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property DeviceTypeMdc As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
  id: InfusionId
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: InfusionId
  nameWithType: PumpAlarmEvent.InfusionId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: InfusionId
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? InfusionId { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property InfusionId As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
  id: Time
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: Time
  nameWithType: PumpAlarmEvent.Time
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Time
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public DateTime Time { get; set; }
    parameters: []
    return:
      type: System.DateTime
    content.vb: Public Property Time As Date
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
  id: PatientId
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: PatientId
  nameWithType: PumpAlarmEvent.PatientId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PatientId
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public ObjectId? PatientId { get; set; }
    parameters: []
    return:
      type: System.Nullable{MongoDB.Bson.ObjectId}
    content.vb: Public Property PatientId As ObjectId?
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
  id: AlarmType
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmType
  nameWithType: PumpAlarmEvent.AlarmType
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmType
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public PumpEnum.AlarmType? AlarmType { get; set; }
    parameters: []
    return:
      type: System.Nullable{adas_core.Domain.Enums.PumpEnum.AlarmType}
    content.vb: Public Property AlarmType As PumpEnum.AlarmType?
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
  id: AlarmDescription
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmDescription
  nameWithType: PumpAlarmEvent.AlarmDescription
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmDescription
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 24
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlarmDescription { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlarmDescription As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
  id: AlarmState
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmState
  nameWithType: PumpAlarmEvent.AlarmState
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmState
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 25
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlarmState { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlarmState As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
  id: AlarmInactivationState
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmInactivationState
  nameWithType: PumpAlarmEvent.AlarmInactivationState
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmInactivationState
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 26
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlarmInactivationState { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlarmInactivationState As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
  id: AlarmPriority
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmPriority
  nameWithType: PumpAlarmEvent.AlarmPriority
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmPriority
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 27
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlarmPriority { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlarmPriority As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
  id: AlarmTypeMdc
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlarmTypeMdc
  nameWithType: PumpAlarmEvent.AlarmTypeMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmTypeMdc
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 28
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlarmTypeMdc { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlarmTypeMdc As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
  id: EventPhase
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: EventPhase
  nameWithType: PumpAlarmEvent.EventPhase
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: EventPhase
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 29
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public PumpEnum.EventPhase? EventPhase { get; set; }
    parameters: []
    return:
      type: System.Nullable{adas_core.Domain.Enums.PumpEnum.EventPhase}
    content.vb: Public Property EventPhase As PumpEnum.EventPhase?
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
  id: AlertSourceMdc
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: AlertSourceMdc
  nameWithType: PumpAlarmEvent.AlertSourceMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlertSourceMdc
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 31
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? AlertSourceMdc { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property AlertSourceMdc As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
  id: DeviceIp
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: DeviceIp
  nameWithType: PumpAlarmEvent.DeviceIp
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DeviceIp
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 34
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? DeviceIp { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property DeviceIp As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
  id: PillarAssembly
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: PillarAssembly
  nameWithType: PumpAlarmEvent.PillarAssembly
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PillarAssembly
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 35
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? PillarAssembly { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PillarAssembly As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly*
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
  commentId: P:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
  id: PillarRackSlot
  parent: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  langs:
  - csharp
  - vb
  name: PillarRackSlot
  nameWithType: PumpAlarmEvent.PillarRackSlot
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PillarRackSlot
    path: ../../adas-core.Domain/Models/Pumps/PumpAlarmEvent.cs
    startLine: 36
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Pumps
  syntax:
    content: public string? PillarRackSlot { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PillarRackSlot As String
  overload: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot*
references:
- uid: adas_core.Domain.Models.Pumps
  commentId: N:adas_core.Domain.Models.Pumps
  href: adas_core.html
  name: adas_core.Domain.Models.Pumps
  nameWithType: adas_core.Domain.Models.Pumps
  fullName: adas_core.Domain.Models.Pumps
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps
    name: Pumps
    href: adas_core.Domain.Models.Pumps.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps
    name: Pumps
    href: adas_core.Domain.Models.Pumps.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_Id
  name: Id
  nameWithType: PumpAlarmEvent.Id
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Id
- uid: MongoDB.Bson.ObjectId
  commentId: T:MongoDB.Bson.ObjectId
  parent: MongoDB.Bson
  isExternal: true
  name: ObjectId
  nameWithType: ObjectId
  fullName: MongoDB.Bson.ObjectId
- uid: MongoDB.Bson
  commentId: N:MongoDB.Bson
  isExternal: true
  name: MongoDB.Bson
  nameWithType: MongoDB.Bson
  fullName: MongoDB.Bson
  spec.csharp:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
  spec.vb:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_DeviceId
  name: DeviceId
  nameWithType: PumpAlarmEvent.DeviceId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceId
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_RackId
  name: RackId
  nameWithType: PumpAlarmEvent.RackId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.RackId
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_DeviceTypeMdc
  name: DeviceTypeMdc
  nameWithType: PumpAlarmEvent.DeviceTypeMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceTypeMdc
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_InfusionId
  name: InfusionId
  nameWithType: PumpAlarmEvent.InfusionId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.InfusionId
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_Time
  name: Time
  nameWithType: PumpAlarmEvent.Time
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.Time
- uid: System.DateTime
  commentId: T:System.DateTime
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.datetime
  name: DateTime
  nameWithType: DateTime
  fullName: System.DateTime
  nameWithType.vb: Date
  fullName.vb: Date
  name.vb: Date
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_PatientId
  name: PatientId
  nameWithType: PumpAlarmEvent.PatientId
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PatientId
- uid: System.Nullable{MongoDB.Bson.ObjectId}
  commentId: T:System.Nullable{MongoDB.Bson.ObjectId}
  parent: System
  definition: System.Nullable`1
  name: ObjectId?
  nameWithType: ObjectId?
  fullName: MongoDB.Bson.ObjectId?
  spec.csharp:
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: '?'
  spec.vb:
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmType
  name: AlarmType
  nameWithType: PumpAlarmEvent.AlarmType
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmType
- uid: System.Nullable{adas_core.Domain.Enums.PumpEnum.AlarmType}
  commentId: T:System.Nullable{adas_core.Domain.Enums.PumpEnum.AlarmType}
  parent: System
  definition: System.Nullable`1
  href: adas_core.Domain.Enums.PumpEnum.html
  name: PumpEnum.AlarmType?
  nameWithType: PumpEnum.AlarmType?
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType?
  spec.csharp:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.AlarmType
    name: AlarmType
    href: adas_core.Domain.Enums.PumpEnum.AlarmType.html
  - name: '?'
  spec.vb:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.AlarmType
    name: AlarmType
    href: adas_core.Domain.Enums.PumpEnum.AlarmType.html
  - name: '?'
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmDescription
  name: AlarmDescription
  nameWithType: PumpAlarmEvent.AlarmDescription
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmDescription
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmState
  name: AlarmState
  nameWithType: PumpAlarmEvent.AlarmState
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmState
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmInactivationState
  name: AlarmInactivationState
  nameWithType: PumpAlarmEvent.AlarmInactivationState
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmInactivationState
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmPriority
  name: AlarmPriority
  nameWithType: PumpAlarmEvent.AlarmPriority
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmPriority
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlarmTypeMdc
  name: AlarmTypeMdc
  nameWithType: PumpAlarmEvent.AlarmTypeMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlarmTypeMdc
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_EventPhase
  name: EventPhase
  nameWithType: PumpAlarmEvent.EventPhase
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.EventPhase
- uid: System.Nullable{adas_core.Domain.Enums.PumpEnum.EventPhase}
  commentId: T:System.Nullable{adas_core.Domain.Enums.PumpEnum.EventPhase}
  parent: System
  definition: System.Nullable`1
  href: adas_core.Domain.Enums.PumpEnum.html
  name: PumpEnum.EventPhase?
  nameWithType: PumpEnum.EventPhase?
  fullName: adas_core.Domain.Enums.PumpEnum.EventPhase?
  spec.csharp:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.EventPhase
    name: EventPhase
    href: adas_core.Domain.Enums.PumpEnum.EventPhase.html
  - name: '?'
  spec.vb:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.EventPhase
    name: EventPhase
    href: adas_core.Domain.Enums.PumpEnum.EventPhase.html
  - name: '?'
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_AlertSourceMdc
  name: AlertSourceMdc
  nameWithType: PumpAlarmEvent.AlertSourceMdc
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.AlertSourceMdc
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_DeviceIp
  name: DeviceIp
  nameWithType: PumpAlarmEvent.DeviceIp
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.DeviceIp
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_PillarAssembly
  name: PillarAssembly
  nameWithType: PumpAlarmEvent.PillarAssembly
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarAssembly
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot*
  commentId: Overload:adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html#adas_core_Domain_Models_Pumps_PumpAlarmEvent_PillarRackSlot
  name: PillarRackSlot
  nameWithType: PumpAlarmEvent.PillarRackSlot
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent.PillarRackSlot
